#ifndef COYOTE_HEALPIX_GRID_HPP
#define COYOTE_HEALPIX_GRID_HPP

void coyote_def_healpix_grid(int order,
                             std::optional<std::tuple<size_t, size_t>> cellidx_range,
                             std::vector<double>& vlon,
                             std::vector<double>& vlat,
                             std::vector<int>& nbrVerticesPerCell,
                             std::vector<int>& cellToVertex,
                             std::vector<double>& clon,
                             std::vector<double>& clat,
                             std::vector<int>& global_cell_idx
                             );

#endif
